import { SvelteComponentTyped } from "svelte";
export interface RecipeJsonLdProps extends JsonLdProps {
    name: string;
    description: string;
    authorName: string | string[];
    ingredients: string[];
    instructions: Instruction[];
    images?: string[];
    datePublished?: string;
    prepTime?: string;
    cookTime?: string;
    totalTime?: string;
    keywords?: string;
    yields?: string;
    category?: string;
    cuisine?: string;
    calories?: number;
    aggregateRating?: AggregateRating;
    video?: Video;
}
import type { JsonLdProps } from './jsonld.js';
import type { Instruction, AggregateRating, Video } from '../types.js';
declare const __propDef: {
    props: {
        keyOverride?: RecipeJsonLdProps['keyOverride'];
        name: RecipeJsonLdProps['name'];
        description: RecipeJsonLdProps['description'];
        authorName: RecipeJsonLdProps['authorName'];
        ingredients: RecipeJsonLdProps['ingredients'];
        instructions: RecipeJsonLdProps['instructions'];
        images?: RecipeJsonLdProps['images'];
        datePublished?: RecipeJsonLdProps['datePublished'];
        prepTime?: RecipeJsonLdProps['prepTime'];
        cookTime?: RecipeJsonLdProps['cookTime'];
        totalTime?: RecipeJsonLdProps['totalTime'];
        keywords?: RecipeJsonLdProps['keywords'];
        yeilds?: RecipeJsonLdProps['yields'];
        category?: RecipeJsonLdProps['category'];
        cuisine?: RecipeJsonLdProps['cuisine'];
        calories?: RecipeJsonLdProps['calories'];
        aggregateRating?: RecipeJsonLdProps['aggregateRating'];
        video?: RecipeJsonLdProps['video'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type RecipeProps = typeof __propDef.props;
export type RecipeEvents = typeof __propDef.events;
export type RecipeSlots = typeof __propDef.slots;
export default class Recipe extends SvelteComponentTyped<RecipeProps, RecipeEvents, RecipeSlots> {
}
export {};
